package dev.aiti.calculator;

import android.app.Application;
import android.preference.PreferenceManager;
import android.content.Context;

public class MyApplication extends Application {
    static int themeId = R.style.LightTheme;
    static boolean scheduledRestart = false;
    private static Context context;

    public static int getThemeId()
    {
        return themeId;
    }

    public void onCreate(){
        super.onCreate();
        MyApplication.context = getApplicationContext();
    }

    public static void reloadTheme()
    {
        String themeSetting = PreferenceManager.getDefaultSharedPreferences(MyApplication.context).getString("app_theme", "0");
        if(themeSetting.equals(String.valueOf(R.style.BlackTheme)))
            themeId = R.style.LightTheme;
        else
            themeId = R.style.BlackTheme;
    }

    public static Context getAppContext() {
        return MyApplication.context;
    }
}
