package dev.aiti.calculator;

import android.content.SharedPreferences;
import android.preference.PreferenceManager;

import de.congrace.exp4j.*;

public class Util {
	public static String evalMath(String eq) {
		String finalEq = eq.replace("x", "*");
		try {
			Calculable calc = new ExpressionBuilder(finalEq).build();
			return String.format("%.4g", calc.calculate());
		} catch(Exception e) {
			return "ERR";
		}
	}

    public static String getPreference(String key) {
        return getPreference(key, "");
    }

    public static String getPreference(String key, String def) {
        SharedPreferences sharedPref = PreferenceManager.getDefaultSharedPreferences(MyApplication.getAppContext());
        return sharedPref.getString(key, def);
    }
}
