package dev.aiti.calculator;

import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;

public class CalcActivity extends BaseActivity {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_calc);
	}

	public void clickCalcKey(View view) {
		TextView eq = ((TextView) findViewById(R.id.textEquation));
		TextView res = ((TextView) findViewById(R.id.textResult));
		String curEq = eq.getText().toString();

		switch (view.getId()) {
			case R.id.btn_equals:
				res.setText(Util.evalMath(curEq));
				break;
			case R.id.btn_backspace:
                String newEq = eq.getText().toString().substring(0, curEq.length() -1);
                eq.setText(newEq);
				break;
            case R.id.btn_clear:
                eq.setText("");
                res.setText("0");
                break;
			default:
                Button b = (Button) view;
                eq.setText(curEq + b.getText().toString());
				break;
		}
	}
}
